:root {
    --primary-color: #333333;
    --secondary-color: #ffffff;
    --accent-color-gold: #ffd700;
    --accent-color-copper: #b87333;
}

body {
    margin: 0;
    margin-bottom: 50px;
    margin-top: 100px;
    color: var(--secondary-color);
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto',
        'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans',
        'Helvetica Neue', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#background-container {
    position: fixed;
    z-index: -1;
    top: 70px;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: auto;
    background-size: cover;
    transition: background-image 1s ease-in-out;
}

.member-background-container {
    background-repeat: repeat-y repeat-x;
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    background-size: cover;
    background-image: url('/blackhexbg.jpg');
}

.trainer-background-container {
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-size: cover repeat;
    background-image: url('/blackthread.jpg');
}

code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
        monospace;
}

.btn-custom {
    background-color: #181818;
    color: #f4ebd0;
    font-family: 'Oxygen', sans-serif;
    font-weight: 700;
    font-style: normal;
    border: 2px inset var(--primary-color);
    box-shadow: 1px 2px 5px 1px var(--primary-color);
    border-radius: 10px;
    text-decoration: none;
    height: 30px;
    font-size: 0.7em;
    text-align: center;
    padding-bottom: 5px;
    padding-top: 3px;
    transition: transform 0.3s ease-in-out;
}

.btn-custom-submit {
    font-size: 0.8em;
}

.btn-appointment {
    height: 100px;
    width: 100px;
    background: linear-gradient(-45deg, black, gray);
}

.btn-custom:hover {
    color: #f4c293;
    transform: scale(0.95);
    box-shadow: 0 0 2px 2px var(--accent-color-gold);
}

.btn-custom:active {
    color: #f4c293;
    transform: scale(0.9);
    box-shadow: 0 0 4px 4px var(--accent-color-gold);
}

.btn-custom:not(:hover):not(:active) {
    box-shadow: 1px 2px 5px 1px var(--primary-color);
}

.btn-size-profile {
    width: 150px;
    height: 40px;
    font-size: 14px;
}

.card-body {
    color: #555;
}

.card-body-form {
    background-color: rgba(133, 99, 21, 0.8);
}

.circuit-modal {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}

.content-container {
    position: relative;
    display: flex;
    flex-direction: column;
    padding-top: 70px;
    padding-bottom: 70px;
    overflow-y: auto;
    height: calc(100vh - 70px);
    width: 100%;
}

.container {
    border-radius: 10px;
    box-shadow: 2px 1px 2px 1px gray;
    background-color: rgba(133, 99, 21, 0.8);
    border: 3px ridge silver;
    padding: 5px;
}

.login-container {
    border-radius: 10px;
    box-shadow: 2px 1px 2px 1px silver;
    background-color: rgba(192, 163, 94, 1);
    border: 3px ridge silver;
    padding: 5px;
}

.card-title {
    color: #290202;
    text-shadow: 2px 2px 2px #8e660a;
    text-align: center;
    font-weight: bold;
    font-size: 1.7em;
    border-radius: 5px 5px 0 0;
    border-bottom: 4px solid var(--accent-color-gold);
    padding-bottom: 5px;
}

.error-message {
    color: red;
    text-align: center;
    background-color: silver;
    border: 2px outset gray;
    border-radius: 10px;
}

.footer {
    height: 70px;
    z-index: 2;
    background: black;
    padding-top: 10px;
    border-top: 5px solid var(--accent-color-gold);
    box-shadow: 2px 0 5px 2px var(--accent-color-copper);
}

.form-floating > .form-control,
.form-floating > .form-control-plaintext {
    padding: 0rem 0.75rem;
}

.form-floating > .form-control::placeholder {
    color: #555;
}

.form-floating > .form-control,
.form-floating > .form-control-plaintext,
.form-select {
    height: calc(2.5rem + 2px);
    line-height: 1;
    width: 100%;
    font-size: 0.75rem;
    margin-bottom: 8px;
    border: 3px inset silver;
    border-radius: 10px;
}

.form-floating > label {
    padding: 0.5rem 0.75rem;
    font-size: 0.75rem;
}

.hero-container {
    border-radius: 10px;
    box-shadow: 2px 1px 2px 1px gray;
    background-color: rgba(192, 163, 94, 0.566);
    border: 3px ridge silver;
    padding: 5px;
}

.hero-container-team {
    border-radius: 10px;
    box-shadow: 2px 1px 2px 1px gray;
    background-color: rgba(192, 163, 94, 0.9);
    border: 3px ridge silver;
    padding: 5px;
}

.bodyhack-info-text {
    color: #290202;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.5;
}

.logo-custom {
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    transition: transform 0.3s ease-in-out;
}

.logo-custom img {
    width: 90px;
    height: 30px;
    border-radius: 10px;
    border: 2px inset var(--primary-color);
    box-shadow: 1px 2px 5px 1px var(--primary-color);
}

.logo-custom:hover {
    transform: scale(0.95);
    box-shadow: 0 0 2px 2px var(--accent-color-gold);
    border-radius: 10px;
}

.logo-custom:active {
    transform: scale(0.9);
    border-radius: 10px;
    box-shadow: 0 0 4px 4px var(--accent-color-gold);
}

.navbar {
    height: 70px;
    z-index: 2;
    background-color: #181818;
    border-bottom: 5px solid var(--accent-color-gold);
    margin-bottom: 20px;
    box-shadow: 2px 0 5px 2px var(--accent-color-copper);
}

.error-modal {
    border: 2px outset rgba(255, 0, 0, 0.514);
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 1;
}

.error-modal.open {
    display: flex;
}

.error-modal .modal-body {
    border-top: 2px solid rgba(201, 4, 4, 0.701);
    border-bottom: 2px solid rgba(201, 4, 4, 0.701);
}

.error-modal .modal-content {
    background-color: #fefefec3;
    padding: 0px;
    border: 2px solid rgba(243, 239, 239, 0.445);
    width: 300px;
    text-align: center;
}

.error-modal .modal-header {
    background-image: url('/caution.jpg');
    border-bottom: 2px solid rgba(201, 4, 4, 0.701);
}

.error-modal .modal-footer {
    background-image: url('/caution.jpg');
    border-top: 2px solid rgba(201, 4, 4, 0.701);
}

.section-header {
    color: #c0a25e;
    text-shadow: 2px 2px 1px #290202;
    display: inline-block;
}
.profile-text {
    color: #c0a25e;
    text-shadow: 2px 2px 1px #290202;
}

.circuit-modal {
    display: flex;
    position: fixed;
    width: 500px;
    height: auto;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    color: black;
}

.selected-row {
    border-top: 4px solid gold;
    border-bottom: 4px solid gold;
    border-right: 4px solid gold;
    background-color: var(--accent-color-copper) !important;
}

.models-container {
    position: relative;
    margin-left: 20px;
    width: 100%;
    height: 60%;
}

.hidden {
    opacity: 0;
}

.body-box {
    height: 350px;
    border: 2px solid silver;
    margin: 0;
    background-image: url('/blackthread.jpg');
    border-radius: 10px;
    box-shadow: 2px 2px 2px 2px gold;
}

.table {
    border: 2px solid silver;
    border-radius: 5px;
}

.table thead {
    background-color: var(--accent-color-copper);
}

.table td {
    font-size: 0.8em;
    font-weight: bold;
}

.custom-input {
    border-radius: 5px;
    font-family: 'Oxygen', sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 0.9em;
    border: 1px solid lightgray;
    position: 0;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 16;
}

td.shrink {
    white-space: nowrap;
    width: 1px;
}

.signup-label {
    font-weight: bold;
}
